%YAML 1.2
--- !template
factory: "rough"
phase: pre
parameters: 
  coarseness: 0.5
  roughness: 0.8
...
--- !morph
factory: "crater"
frequency: 0.9
parameters:
  sample: [ 0.4, 0.6 ]
  scale: [ 20, 150 ]
  broadness : [ 0.4, 0.6 ]
  depth : [ 0.4, 0.6 ]
  falloff : 2.5
  noise : 0.35
  uplift_depth: 0.65
  uplift_broadness : 0.25
---
factory : "mountains"
frequency: 0.3
parameters:
  seed_adherence: 0.5
  seed_iterations: [ 0.1, 0.3 ]
  num_peaks: [ 5, 20 ]
  clump_size : [ 1, 7 ]
  clump_displace : 0.4
  non_straightness: [ 1.5, 2.5 ]
  range_width: [ 50, 300 ]
  height_flux: 0.3
  peak_height : [ 30, 500 ]
  coarseness : 1.5
  falloff : 2.5
---
factory : "mountains"
alias : "wowzerrange"
frequency: 0.7
parameters:
  seed_adherence: 0.5
  seed_iterations: [ 0.1, 0.3 ]
  num_peaks: [ 25, 35 ]
  clump_size : [ 1, 4 ]
  clump_displace : 0.5
  non_straightness: [ 5, 7 ]
  range_width: [ 10, 30 ]
  height_flux: 0.3
  peak_height : [100, 200 ]
  coarseness : 1.5
  falloff : 2.5
---
factory: "outflowchannels"
frequency: 0.5
parameters:
  num_sources: [ 1, 4 ]
  displacement : [ 50, 300 ]
  spread : [ 1.2566370614359172953850573533118, 3.1415926535897932384626433832795 ]
  segment: [ 5, 25 ]
  slope_grace: 0.5
  carve : 0.25
  guide_snap : 0.01
  sediment_memory: 40
  candidates:
    bend_zenith: [ 0.52359877559829887307710723054658, 2.0943951023931954923084289221863 ]
    zenith_steps: 30
    samples : 7
  flowlines:
    width : [ 10, 200 ]
    levels : [ 1, 2 ]
    children : [ 1, 3 ]
  weights: { straightness: 0.75, elevation: 4.5, density: 7.0, chaos : 1.5 }
---
factory: "volcano"
frequency: 0.3
parameters:
  noise: 0.4
  scale: [ 10, 100 ]
  cone:
    broadness: [ 3, 5 ]
    amplitude: [ 1, 2 ]
    falloff: 1.5
  caldera:
    broadness: [ 0.0625, 0.1875 ]
    fullness : [ 0.5, 0.75 ]
    depth: [ 0.65, 0.95 ]
  innercones: 
    amount: [ 2, 5 ]
    scale: [ 0.1, 0.3 ]
    broadness: [ 0.2, 1.2 ]
    amplitude: [ 0.5, 3.0 ]
    caldera: { broadness: [ 0.05, 1.4 ], depth : [ 0.3, 0.5 ] }
    displacement : [ 0.1, 0.2 ]
  lavaflows:
    slope_grace: 0.5
    segment: [ 5, 25 ]
    guide_snap : 0.01
    amount : [ 2, 4 ]
    waves: 
      scale : [ 1, 1 ]
      frequency : [ 1.3, 1.7 ]
      amplitude: [ 0.3, 0.5 ]
      viscosity: [ 0.125, 0.75 ]
      perturbation: 1.2
    height : [ 0.9, 1.3 ]
    candidates:
      bend_zenith: [ 0.52359877559829887307710723054658, 2.0943951023931954923084289221863 ]
      zenith_steps: 30
      samples : 7
    flowlines:
      width : [ 5, 100 ]
      iterations : [ 3, 5 ]
      levels : [ 1, 2 ]
      children : [ 2, 5 ]
    weights: { straightness: 0.75, elevation: 1.0, density: 2.0, chaos : 0.5 }
--- !template
factory: "winderosion"
phase: post
parameters:
  iterations: 2
  decay: 0.5
  smooth: false
--- !template
factory: "winderosion"
alias: "harderosion"
phase: post
parameters:
  iterations: [ 1, 3 ]
  decay: 0.9
  smooth: true
...